POSTUpdateWitness

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/updatewitness

Edit the URL of the SR's official website.

Request Body
owner_addressstringrequired

Super Representative (SR) address. (Format: Base58 or Hex)

update_urlstringrequired

New official website URL for the Super Representative (SR).

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
owner_addressstring

Super Representative (SR) address.

update_urlstring

SR‘s Updated URL.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/updatewitness" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TJvaAeFb8Lykt9RQcVyyTFN2iDvGMuyD4M",
  "update_url": "0x7777772e6578616d706c652e636f6d",
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string",
  "update_url": "string"
}